<?php
    /**
     * SANITIZATION
     */    
    function ripple_sanitize_textarea($input){
        return wp_kses_post( force_balance_tags( $input ) );
    }
    function ripple_sanitize_checkbox($input){
        if($input == 1){
            return 1;
        }else{
            return '';
        }
    }
    
    function ripple_sanitize_page_select($input){
        $ripple_page_lists = ripple_page_lists();
        if(array_key_exists($input,$ripple_page_lists)){
            return $input;
        }else{
            return '';
        }
    }
    
    function ripple_sanitize_category_select($input){
        $ripple_category_lists = ripple_category_lists();
        if(array_key_exists($input,$ripple_category_lists)){
            return $input;
        }else{
            return '';
        }
    }
    
    function ripple_sanitize_bg_repeat($input){
        $bg_repeat = array(
            'no-repeat'  => __('No Repeat', 'ripple'),
            'repeat'     => __('Tile', 'ripple'),
            'repeat-x'   => __('Tile Horizontally', 'ripple'),
            'repeat-y'   => __('Tile Vertically', 'ripple'),
        );
        
        if(array_key_exists($input,$bg_repeat)){
            return $input;
        }else{
            return '';
        }
    }
    
    function ripple_sanitize_bg_position($input){
        $bg_position = array(
            'left'       => __('Left', 'ripple'),
            'center'     => __('Center', 'ripple'),
            'right'      => __('Right', 'ripple'),
        );
        
        if(array_key_exists($input,$bg_position)){
            return $input;
        }else{
            return '';
        }
    }
    
    function ripple_sanitize_bg_attachment($input){
        $bg_attachment = array(
            'fixed'      => __('Fixed', 'ripple'),
            'scroll'     => __('Scroll', 'ripple'),
        );
        
        if(array_key_exists($input,$bg_attachment)){
            return $input;
        }else{
            return '';
        }
    }

    function ripple_sanitize_bg_size($input) {
        $bg_size = array(
            'auto' => __('Auto', 'ripple'),
            'cover' => __('Cover', 'ripple'),
            'contain' => __('Contain', 'ripple'),
        );

        if(array_key_exists($input, $bg_size)){
            return $input;
        }else{
            return '';
        }
    }
    
    function ripple_sanitize_color_value($input) {
        return esc_html($input);
    }
    
    function ripple_sanitize_overlay_direction($input) {
        $overlay = array(
            'top' => __('Top', 'ripple'),
            'below' => __('Below', 'ripple')
        );
        
        if(array_key_exists($input,$overlay)){
            return $input;
        }else{
            return '';
        }
    }
?>