<?php
/**
 * Ripple Theme Customizer
 *
 * @package Ripple
 */

/**
 * Add postMessage support for site title and description for the Theme Customizer.
 *
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */
function ripple_customize_register( $wp_customize ) {
	$wp_customize->get_setting( 'blogname' )->transport         = 'postMessage';
	$wp_customize->get_setting( 'blogdescription' )->transport  = 'postMessage';
	$wp_customize->get_setting( 'header_textcolor' )->transport = 'postMessage';
    $wp_customize->get_section( 'title_tagline' )->panel = 'ripple_general_panel';  
    $wp_customize->get_section( 'background_image' )->panel = 'ripple_general_panel';
    $wp_customize->get_section( 'header_image' )->panel = 'ripple_general_panel';  
    $wp_customize->get_section( 'colors' )->panel = 'ripple_general_panel';
}
add_action( 'customize_register', 'ripple_customize_register' );

/**
 * Binds JS handlers to make Theme Customizer preview reload changes asynchronously.
 */
function ripple_customize_preview_js() {
	wp_enqueue_script( 'ripple_customizer', get_template_directory_uri() . '/js/customizer.js', array( 'customize-preview' ), '20130508', true );
}
add_action( 'customize_preview_init', 'ripple_customize_preview_js' );
