<?php
$ripple_service_page1 = get_theme_mod('ripple_services_section_page1');
$ripple_service_page1_icon = get_theme_mod('ripple_services_section_page1_icon');

$ripple_service_page2 = get_theme_mod('ripple_services_section_page2');
$ripple_service_page2_icon = get_theme_mod('ripple_services_section_page2_icon');

$ripple_service_page3 = get_theme_mod('ripple_services_section_page3');
$ripple_service_page3_icon = get_theme_mod('ripple_services_section_page3_icon');

$ripple_service_page4 = get_theme_mod('ripple_services_section_page4');
$ripple_service_page4_icon = get_theme_mod('ripple_services_section_page4_icon');

$ripple_readmore_text = get_theme_mod('ripple_services_section_readmore_text', 'Read More');
$ripple_service_pg_query = new WP_Query(array('post_type' => 'page', 'order' => 'desc', 'post__in' => array( $ripple_service_page1, $ripple_service_page2, $ripple_service_page3, $ripple_service_page4 )));
?>
<div class="container clearfix wow fadeInUp" data-wow-duration="4s">
    <div class="hm-service-icon-container">
        <?php if($ripple_service_page1 != '' && $ripple_service_page1_icon != '') : ?>
            <div sericon="sericon-<?php echo esc_attr($ripple_service_page1); ?>" class="hm-service-icon-wrap active">
                <div class="service-icon service-icon-1" style="background-image: url('<?php echo get_stylesheet_directory_uri().'/images/icons/'.esc_attr($ripple_service_page1_icon).'-sprite.png'; ?>');"></div>
                <span class="service-icon-title"><?php echo esc_attr(get_the_title( $ripple_service_page1 )); ?></span>
            </div>
        <?php endif; ?>
        <?php if($ripple_service_page2 != '' && $ripple_service_page2_icon != '') : ?>
            <div sericon="sericon-<?php echo esc_attr($ripple_service_page2); ?>" class="hm-service-icon-wrap">
                <div class="service-icon service-icon-2" style="background-image: url('<?php echo get_stylesheet_directory_uri().'/images/icons/'.esc_attr($ripple_service_page2_icon).'-sprite.png'; ?>');"></div>
                <span class="service-icon-title"><?php echo esc_attr(get_the_title( $ripple_service_page2 )); ?></span>
            </div>
        <?php endif; ?>
        <?php if($ripple_service_page3 != '' && $ripple_service_page3_icon != '') : ?>
            <div sericon="sericon-<?php echo esc_attr($ripple_service_page3); ?>" class="hm-service-icon-wrap">
                <div class="service-icon service-icon-3" style="background-image: url('<?php echo get_stylesheet_directory_uri().'/images/icons/'.esc_attr($ripple_service_page3_icon).'-sprite.png'; ?>');"></div>
                <span class="service-icon-title"><?php echo esc_attr(get_the_title( $ripple_service_page3 )); ?></span>
            </div>
        <?php endif; ?>
        <?php if($ripple_service_page4 != '' && $ripple_service_page4_icon != '') : ?>
            <div sericon="sericon-<?php echo esc_attr($ripple_service_page4); ?>" class="hm-service-icon-wrap">
                <div class="service-icon service-icon-4" style="background-image: url('<?php echo get_stylesheet_directory_uri().'/images/icons/'.esc_attr($ripple_service_page4_icon).'-sprite.png'; ?>');"></div>
                <span class="service-icon-title"><?php echo esc_attr(get_the_title( $ripple_service_page4 )); ?></span>
            </div>
        <?php endif; ?>
    </div>
    <div class="hm-service-content-container">
        <?php if($ripple_service_pg_query->have_posts()) : ?>
            <?php $ripple_dcount = 1; ?>
            <?php while($ripple_service_pg_query->have_posts()) : $ripple_service_pg_query->the_post(); $ripple_style = ''; ?>
                <?php if($ripple_dcount != 4) : ?>
                    <?php $ripple_style = 'display: none'; ?>
                <?php else : ?>
                    <?php $ripple_style = ''; ?>
                <?php endif; ?>
                <div style="<?php echo esc_attr($ripple_style); ?>" class="hm-service-content-wrap serpage-<?php the_ID(); ?> <?php //if($dcount == 1){echo 'active';}; ?>">
                    
                    <div class="hm-service-title">
                        <h2><?php the_title(); ?></h2>
                    </div>
                    <div class="hm-services-content clearfix">
                        <div  class="hm-service-content-only">
                            <?php the_content(); ?>
                            <span>
	                            <a class="service-readmore-text" href="<?php the_permalink(); ?>">
	                                <?php echo esc_attr($ripple_readmore_text); ?>
	                            </a>
                        	</span>
                        </div>
                        <div class="hm-service-feat-image">
	                        <?php if(has_post_thumbnail()) : ?>
	                            <?php
	                                $ripple_img = wp_get_attachment_image_src(get_post_thumbnail_id(), 'full');
	                                $ripple_img_src = $ripple_img[0];
	                            ?>
	                            <img src="<?php echo esc_url($ripple_img_src); ?>" title="<?php the_title_attribute(); ?>" alt="<?php the_title_attribute(); ?>" />
	                        <?php endif; ?>
                    </div>
                    </div>
                </div>
                <div class="clearfix"></div>
            <?php $ripple_dcount++; endwhile; ?>
        <?php endif; ?>
    </div>
</div>